package wicket.quickstart;

import wicket.markup.html.link.BookmarkablePageLink;
import wicket.markup.html.link.Link;

/**
 * Basic bookmarkable index page.
 * 
 * NOTE: You can get session properties from QuickStartSession via
 * getQuickStartSession()
 */
public class Index extends QuickStartPage
{

	public Index()
	{

		add(new Link("longTimeLink")
		{

			@Override
			public void onClick()
			{
				try
				{
					Thread.sleep(5000);
				}
				catch (InterruptedException e)
				{
					throw new RuntimeException("unexpected", e);
				}
				setResponsePage(new Other());
			}

		});

	}
}
